Wikimedia/portals repo should have a LICENSE file
Closed, ResolvedPublic

Description

The licensing state of the content is rather unclear I think. probably cc-by-sa-3.0 and GPL ?

TheDJ created this task.May 21 2016, 12:07 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMay 21 2016, 12:07 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
debt triaged this task as Normal priority.May 25 2016, 6:41 PM
debt claimed this task.
debt added a project: Discovery-Portal-Sprint.
debt moved this task from Backlog to What's Next on the Discovery-Portal-Sprint board.

Checking with Legal.

debt added a comment.May 25 2016, 10:26 PM

Update from Legal for wording to be added near the Terms of Use link on the wikipedia.org portal page and desktop/mobile mocks on how it should look (using the existing colors on the portal page):

This page is available under the Creative Commons Attribution-ShareAlike License.

Link is: http://creativecommons.org/licenses/by-sa/3.0/

TheDJ added a comment.May 26 2016, 7:24 AM

Right, so content cleared up then, but that still leaves us with the licensing of the code I guess.

Right, so content cleared up then, but that still leaves us with the licensing of the code I guess.

What is content and what is code may be blurry and messed up here, since all of the code was put into the page when it was on Meta, necessitating backwards compatibility with the licence used there. CC BY-SA and GFDL really sucks as a code licence, but we might not have much choice here. :-(

Staying with a Creative Commons license will be fine for the webpage itself, with only simple styling markup and minimal javascript. I'll speak with @debt about the best license for any related code or libraries.

Change 290953 had a related patch set uploaded (by Jdrewniak):
T135902 readme, license and contribution files - README file - CONTRIBUTING file - LICENSE file - CC license on wikipedia.org

https://gerrit.wikimedia.org/r/290953

Change 290953 merged by jenkins-bot:
T135902 readme, license and contribution files - README file - CONTRIBUTING file - LICENSE file - CC license on wikipedia.org

https://gerrit.wikimedia.org/r/290953

This was pushed to production on June 7, 2016

debt closed this task as Resolved.Jun 14 2016, 11:25 PM
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Aug 12 2016, 8:02 PM